div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.mb-0.text-gray-800
      span.fas.fa-paint-brush.mr-2
      span Hexadecimales
div(*ngFor="let tHexadecimalFor of tColores1x3 | slice: (tPaginaHexadecimales-1) * tTamanoPagHexadecimales : (tPaginaHexadecimales-1) * tTamanoPagHexadecimales + tTamanoPagHexadecimales").form-row
  ng-container(*ngIf="tHexadecimalFor[0]")
    div.form-group.col-12.col-lg-4
      div([ngClass]="{'border-left-primary':tHexadecimalFor[0].Principal===1}").card
        div([ngStyle]="{'background-color': tHexadecimalFor[0].Hexadecimal}").card-body.rounded-top
          button(type="button",
            aria-label="Close",
            (click)="EliminarHexadecimal(tHexadecimalFor[0])").close
            span(aria-hidden="true") &times;
        div.card-body
          div.row
            div.col-12.text-center
              div.fas.fa-palette.fa-2x.text-gray-300
              h6
                a(href="#",
                  (click)="AsignarPrincipal(tHexadecimalFor[0])").text-decoration-none {{ tHexadecimalFor[0].Hexadecimal }}
  ng-container(*ngIf="tHexadecimalFor[1]")
    div.form-group.col-12.col-lg-4
      div([ngClass]="{'border-left-primary':tHexadecimalFor[1].Principal===1}").card
        div([ngStyle]="{'background-color': tHexadecimalFor[1].Hexadecimal}").card-body.rounded-top
          button(type="button",
            aria-label="Close",
            (click)="EliminarHexadecimal(tHexadecimalFor[1])").close
            span(aria-hidden="true") &times;
        div.card-body
          div.row
            div.col-12.text-center
              div.fas.fa-palette.fa-2x.text-gray-300
              h6
                a(href="#",
                  (click)="AsignarPrincipal(tHexadecimalFor[1])").text-decoration-none {{ tHexadecimalFor[1].Hexadecimal }}
  ng-container(*ngIf="tHexadecimalFor[2]")
    div.form-group.col-12.col-lg-4
      div([ngClass]="{'border-left-primary':tHexadecimalFor[2].Principal===1}").card
        div([ngStyle]="{'background-color': tHexadecimalFor[2].Hexadecimal}").card-body.rounded-top
          button(type="button",
            aria-label="Close",
            (click)="EliminarHexadecimal(tHexadecimalFor[2])").close
            span(aria-hidden="true") &times;
        div.card-body
          div.row
            div.col-12.text-center
              div.fas.fa-palette.fa-2x.text-gray-300
              h6
                a(href="#",
                  (click)="AsignarPrincipal(tHexadecimalFor[2])").text-decoration-none {{ tHexadecimalFor[2].Hexadecimal }}
div.form-row
  div.form-group.col-12
    ngb-pagination([collectionSize]="tColores1x3.length || 0",
        [(page)]="tPaginaHexadecimales",
        aria-label="Default pagination",
        [pageSize]="tTamanoPagHexadecimales").d-flex.justify-content-center
